## more-itertools 10.2.0

=== Makefile ===
.PHONY: all-checks
all-checks: requirements coverage check docs package

.PHONY: requirements
requirements:
	python3 -m pip install -r requirements/development.txt
	python3 -m pip install --editable .

.PHONY: check
check:
	black --check .
	flake8 --exclude .venv,venv,docs/conf.py .
	stubtest more_itertools.more more_itertools.recipes

.PHONY: format
format:
	black .

.PHONY: coverage
coverage:
	coverage run --include="more_itertools/*.py" -m unittest
	coverage report --show-missing --fail-under=99

.PHONY: test
test:
	python3 -m unittest -v

.PHONY: docs
docs:
	sphinx-build -W -b html docs docs/_build/html

.PHONY: package
package: requirements
	flit build --setup-py
	twine check dist/*

## more-itertools 3.2.0

=== debian/changelog ===
more-itertools (3.2.0-2) unstable; urgency=medium

  * Initial Debian packaging (closes: #869213)

 -- Ethan Ward <ethan.ward@mycroft.ai>  Tue, 01 Aug 2017 18:31:57 -0500

=== debian/control ===
Source: more-itertools
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ethan Ward <ethan.ward@mycroft.ai>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-nose,
               python-setuptools,
               python-six (<< 2.0.0),
               python-six (>= 1.0.0),
               python-vcversioner,
               python3-all,
               python3-nose,
               python3-setuptools,
               python3-six (<< 2.0.0),
               python3-six (>= 1.0.0),
               python3-vcversioner
Standards-Version: 4.0.0
Homepage: https://pypi.python.org/pypi/more-itertools/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/more-itertools.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/more-itertools.git

Package: python-more-itertools
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: More routines for operating on iterables, beyond itertools. (Python 2)
 Python's itertools library is a gem - you can compose elegant solutions
 for a variety of problems with the functions it provides.
 More-itertools collects additional building blocks, recipes,
 and routines for working with Python iterables.
 .
 This package contains the module for Python 2.

Package: python3-more-itertools
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: More routines for operating on iterables, beyond itertools. (Python 3)
 Python's itertools library is a gem - you can compose elegant solutions
 for a variety of problems with the functions it provides.
 More-itertools collects additional building blocks, recipes,
 and routines for working with Python iterables.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=more-itertools

%:
	dh $@ --with python2,python3 --buildsystem=pybuild --test-nose

override_dh_installchangelogs:
	dh_installchangelogs docs/versions.rst

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r more_itertools/tests "$AUTOPKGTEST_TMP"
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m nose 2>/dev/null
 ; done
Depends: python-all,
         python-more-itertools,
         python-nose

Test-Command: set -e
 ; cp -r more_itertools/tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m nose 2>/dev/null
 ; done
Depends: python3-all,
         python3-more-itertools,
         python3-nose

## more-itertools 4.2.0

=== debian/changelog ===
more-itertools (4.2.0-3) unstable; urgency=medium

  * Team upload.
  * Drop PyPy support.
  * Set Rules-Requires-Root: no.
  * Bump debhelper compat level to 13.
  * Bump standards version to 4.5.0.

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Jun 2020 15:49:05 +0200

more-itertools (4.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937083

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2020 17:01:38 -0400

more-itertools (4.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * d/control:
    - Set Vcs-* to salsa.debian.org
    - Fix short description
    - Drop B-D on nose and use setuptools for tests
    - Drop B-D on python{,3}-vcversioner - not needed
    - Bump Standards-Version to 4.1.4 (no changes)
  * d/copyright: Use https protocol in Format field
  * Bump debhelper compat level to 11
  * Add pypy version of package

 -- Ondřej Nový <onovy@debian.org>  Fri, 15 Jun 2018 21:16:00 +0200

=== debian/control ===
Source: more-itertools
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ethan Ward <ethan.ward@mycroft.ai>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-six (<< 2.0.0),
               python3-six (>= 1.0.0),
Standards-Version: 4.5.0
Homepage: https://pypi.python.org/pypi/more-itertools/
Vcs-Git: https://salsa.debian.org/python-team/modules/more-itertools.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/more-itertools
Rules-Requires-Root: no

Package: python3-more-itertools
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: library with routines for operating on iterables, beyond itertools (Python 3)
 Python's itertools library is a gem - you can compose elegant solutions
 for a variety of problems with the functions it provides.
 More-itertools collects additional building blocks, recipes,
 and routines for working with Python iterables.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=more-itertools

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs docs/versions.rst

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r setup.* README.rst docs/ more_itertools/tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py setup.py test
 ; done
Depends: python3-all,
         python3-more-itertools,
         python3-setuptools,
Restrictions: allow-stderr

## more-itertools 8.10.0

=== debian/changelog ===
more-itertools (8.10.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. Closes: #955758

 -- Gordon Ball <gordon@chronitis.net>  Fri, 05 Nov 2021 10:29:45 +0000

more-itertools (8.10.0-1) experimental; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove MIA uploader Ethan Ward <ethan.ward@mycroft.ai>. Closes: #971859
  * Update standards version to 4.5.1, no changes needed.

  [ Gordon Ball ]
  * New upstream version 8.10.0
  * Drop python3-six dependency
  * Update autopkgtest for new test path
  * Standards-Version 4.6.0
  * Update homepage to github.com/more-itertools/more-itertools

 -- Gordon Ball <gordon@chronitis.net>  Sun, 10 Oct 2021 21:16:52 +0000

=== debian/control ===
Source: more-itertools
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://github.com/more-itertools/more-itertools/
Vcs-Git: https://salsa.debian.org/python-team/packages/more-itertools.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/more-itertools
Rules-Requires-Root: no

Package: python3-more-itertools
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: library with routines for operating on iterables, beyond itertools (Python 3)
 Python's itertools library is a gem - you can compose elegant solutions
 for a variety of problems with the functions it provides.
 More-itertools collects additional building blocks, recipes,
 and routines for working with Python iterables.
 .
 This package contains the module for Python 3.

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r setup.* README.rst docs/ tests/ "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m unittest -v
 ; done
Depends: python3-all,
         python3-more-itertools,
         python3-setuptools,
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/more-itertools/more-itertools-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## more-itertools 10.1.0

=== debian/changelog ===
more-itertools (10.1.0-1) unstable; urgency=medium

  * Team upload.
  * [bd19139] New upstream version 10.1.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 12 Aug 2023 07:32:01 +0200

more-itertools (10.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 10.0.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Jul 2023 17:38:41 +0200

more-itertools (9.1.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 21 Jun 2023 19:04:32 +0200

more-itertools (9.1.1-1) experimental; urgency=medium

  * Team upload.
  * d/gbp.conf: Add some defaults for git-buildpackage
  * d/watch: Move to git mode on GitHub
  * New upstream version 9.1.1
  * debian/*: Running wrap-and-sort -ast
  * d/control: Adjust B-D due new upstream version
  * d/rules: Drop --with option from default target
  * autopkgtest: Adjust Depends field after switching to flit
  * d/copyright: Update year data
  * d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * d/rules: Fix file permissions before build

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Apr 2023 09:07:33 +0200

## more-itertools 10.2.0

=== debian/changelog ===
more-itertools (10.2.0-1) unstable; urgency=medium

  * Team upload.
  * [36dca50] New upstream version 10.2.0
  * [0ac2d1b] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 29 Jan 2024 18:18:16 +0100

=== debian/control ===
Source: more-itertools
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 flit,
 pybuild-plugin-pyproject,
 python3-all,
Standards-Version: 4.6.2
Homepage: https://github.com/more-itertools/more-itertools/
Vcs-Git: https://salsa.debian.org/python-team/packages/more-itertools.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/more-itertools
Rules-Requires-Root: no

Package: python3-more-itertools
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: library with routines for operating on iterables, beyond itertools (Python 3)
 Python's itertools library is a gem - you can compose elegant solutions
 for a variety of problems with the functions it provides.
 More-itertools collects additional building blocks, recipes,
 and routines for working with Python iterables.
 .
 This package contains the module for Python 3.

## more-itertools 10.3.0

=== debian/changelog ===
more-itertools (10.3.0-1) unstable; urgency=medium

  * Team upload.
  * [e274422] New upstream version 10.3.0
  * [1895550] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 15 Jun 2024 11:22:40 +0200

## more-itertools 10.4.0

=== debian/changelog ===
more-itertools (10.4.0-1~bpo12+1) UNRELEASED; urgency=medium

  * bookworm-backports Rebuilt for bookworm.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 09 Sep 2024 08:44:36 +0000

more-itertools (10.4.0-1) unstable; urgency=medium

  * Team upload.
  * [64922fa] New upstream version 10.4.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 01 Sep 2024 15:26:28 +0200

## more-itertools 10.5.0

=== debian/changelog ===
more-itertools (10.5.0-1) unstable; urgency=medium

  * Team upload.
  * [5e47e90] New upstream version 10.5.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 28 Sep 2024 18:59:57 +0200

## more-itertools 10.6.0

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 .PHONY: check
 check:
 	black --check .
-	flake8 --exclude .venv,venv,docs/conf.py .
+	flake8 more_itertools tests
 	stubtest more_itertools.more more_itertools.recipes
 
 .PHONY: format
@@ -23,7 +23,7 @@
 
 .PHONY: test
 test:
-	python3 -m unittest -v
+	python3 -m unittest -v ${tests}
 
 .PHONY: docs
 docs:

=== debian/changelog ===
more-itertools (10.6.0-1) unstable; urgency=medium

  * Team upload.
  * [442c96b] New upstream version 10.6.0
  * [8932019] d/u/metadata: Update and expand data
  * [9669e1d] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 Jan 2025 07:08:22 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  flit,
  pybuild-plugin-pyproject,
  python3-all,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/more-itertools/more-itertools/
 Vcs-Git: https://salsa.debian.org/python-team/packages/more-itertools.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/more-itertools

## more-itertools 10.7.0

=== Makefile ===
--- 
+++ 
@@ -8,13 +8,13 @@
 
 .PHONY: check
 check:
-	black --check .
-	flake8 more_itertools tests
+	ruff format --check .
+	ruff check more_itertools tests
 	stubtest more_itertools.more more_itertools.recipes
 
 .PHONY: format
 format:
-	black .
+	ruff format .
 
 .PHONY: coverage
 coverage:

=== debian/changelog ===
more-itertools (10.7.0-1) unstable; urgency=medium

  * Team upload.
  * [a2d7943] New upstream version 10.7.0
  * [a49a463] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 25 Apr 2025 12:13:53 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  flit,
  pybuild-plugin-pyproject,
  python3-all,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/more-itertools/more-itertools/
 Vcs-Git: https://salsa.debian.org/python-team/packages/more-itertools.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/more-itertools

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
  ; echo "Testing with $py:"
  ; $py -m unittest -v
  ; done
-Depends: python3-all,
-         python3-more-itertools,
-         python3-setuptools,
+Depends:
+ flit,
+ python3-all,
+ python3-more-itertools,
 Restrictions: allow-stderr

## more-itertools 10.8.0

=== docs/requirements.txt ===
Sphinx
furo>=2025.07.19

=== debian/changelog ===
more-itertools (10.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 09 Sep 2025 10:24:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- flit,
+ flit (>= 3.12),
  pybuild-plugin-pyproject,
  python3-all,
 Standards-Version: 4.7.2

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=more-itertools

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs docs/versions.rst

override_dh_auto_build:
	# Fixing file permissions for Python files.
	for file in `find $(CURDIR)/more_itertools -type f`; do \
		FOUND_PYTHON=$$(head -n1 $$file | grep python); \
		if [ "$$FOUND_PYTHON" != "" ]; then \
			chmod +x $$file; \
		else \
			chmod -x $$file; \
		fi; \
	done
	dh_auto_build

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|a|b|c|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|ds)(\.?\d+)?$//" \
https://github.com/more-itertools/more-itertools.git \
      refs/tags/v@ANY_VERSION@
